// $page-width: 260mm;
// $page-height: 320mm;
$page-width: 100%;
$page-height: auto;


$margin-interior: 0mm;
$margin-exterior: 0mm;
$margin-top: 0mm;
$margin-bottom: 0mm;

$color: red;
$background: #f5f4f4;

@media print {
	$page-width: 297mm;
	$page-height: 210mm;
	$margin-interior: 15mm;
	$margin-exterior: 15mm;
	$margin-top: 15mm;
	$margin-bottom: 30mm;
}

@mixin infoStyle {
	font-size: 14px;
	font-family: notCourierReg;
	color: $color;
}

@mixin vignette {
	margin-top: -10px;
	width: auto;
	line-height: 100%;
	letter-spacing: 1px;
	@include infoStyle;
}

body {
	background: $background;
	width: 100%;
	height: 100%;
}

body.specimen {
	margin-top: 0px;
}

section.specimen-pages {
	text-align: center;
}

body.specimen {
	width: 100%;
}

section.specimen-pages {	
	width: 100%;
	height: 100%;
}

.page {
	width: $page-width;
	height: $page-height;
	margin: 0px auto;
	padding-top: $margin-top;
	padding-left: $margin-interior;
	padding-bottom: $margin-bottom;
	overflow: hidden;
	text-align: left;
	.page-inside {
		overflow: hidden;
		// outline: 1px solid $color;
		width: calc(100% - #{$margin-interior} - #{$margin-exterior});
		height: calc(100% - #{$margin-top} - #{$margin-bottom});
	}
}

.menu {
	position: fixed;
	right: 0px;
	padding-right: 10px;
	top: 0px;
	height: 100%;
	background: linear-gradient(to right, rgba(0,0,0,0) 0%, $background 80%);
	.btn-font {
		box-shadow: 1px 0 0 0 $color, 0 1px 0 0 $color, 1px 1px 0 0 $color, 1px 0 0 0 $color inset, 0 1px 0 0 $color inset;
		display: block;
		@include infoStyle;
		background: $background;
		border: none;
		margin: 10px 0;
		&:hover{
			box-shadow: 2px 0 0 0 $color, 0 2px 0 0 $color, 2px 2px 0 0 $color, 2px 0 0 0 $color inset, 0 2px 0 0 $color inset;
			// background: $color; 
			// color: white;
		}
		&[select='true'] {
			box-shadow: 2px 0 0 0 $color, 0 2px 0 0 $color, 2px 2px 0 0 $color, 2px 0 0 0 $color inset, 0 2px 0 0 $color inset;
		}
		&:focus {
			border: none;
		}
	}

}


////////////////////////////////////////

.wrapper_collection {
	
	padding: 10px;
	border-top: 2px solid black;
	
	.block {
		line-height: 100%;
	}

	.split_sentence {
		display: inline;

		.headInfo {
			display: inline;
			position: absolute;
			height: auto;
		}
	}
}

.testing {
  line-height: 100%;
	border-top: 2px solid black;
	padding: 10px;
}


// SET CHARS

.headInfo {
	@include vignette;
	margin: 0px 0 15px 0;
	background: $background;
}

.setchars {
	border-top: 2px solid black;
	padding: 20px;
	margin: -1px;
	.char {
		width: 65px;
    height: 65px;
		box-shadow: 1px 0 0 0 #000000, 0 1px 0 0 #000000, 1px 1px 0 0 #000000, 1px 0 0 0 #000000 inset, 0 1px 0 0 #000000 inset;
    float: left;
    text-align: center;
    font-size: 25px;
		display: table;
		span {
			display: table-cell;
			vertical-align: middle;
			cursor: pointer;
		}
		&:hover { background: $color; color: $background;}
		&[data-title]:hover:after,
		&[data-title]:hover:before
		{
			opacity: 1;
			transition: all 0.3s ease 0.5s;
			visibility: visible;
		}
		&[data-title]:after {
			content: attr(data-title);
			background-color: $background;
			position: absolute;
			left: calc(-100% + 1px);
			width: calc(300% - 10px);
			height: calc(300% - 10px);
			opacity: 0;
			padding: 5px;
			margin-left: -1px;
			margin-top: -100%;
			z-index: 99998;
			visibility: hidden;
			box-shadow: 1px 0 0 0 $color, 0 1px 0 0 $color, 1px 1px 0 0 $color, 1px 0 0 0 $color inset, 0 1px 0 0 $color inset;
			@include infoStyle;
			text-align: left;
		}
		&[data-title] {
			position: relative;
		}
		&[data-title]:before {
			opacity: 0;
			visibility: hidden;
			content: attr(data-char);
			font-size: 140px;
			position: absolute;
			color: black;
			z-index: 99999;
			text-align: center;
			left: calc(-100% + 1px);
			width: 300%;
			height: 300%;
			margin-top: -100%;
			line-height: 140%;
			overflow: hidden;
		}

	}


}

.probesvg {
	svg {

		.hints,
		.hints-title,
		circle {
			opacity: 0;
			// display: none;
			transition: opacity 1s ease;
		}
		path.pathGlyphs {
			fill: #3111b9;
			cursor: pointer;
			// stroke: black;
			// stroke-width: 1px;
			transition: fill 1s ease;
			&:hover {
				fill: #D0D0D0;
				// stroke: black;
				// stroke-width: 1px;
			}
			&:hover ~ circle,
			&:hover ~ .hints,
			&:hover ~ .hints-title,
			 {
				// display: block;
				opacity: 1;
			}
		}
		.hints-title {
			fill: red;
			font-family: notCourierReg;
		}
		.hints {
			fill: none;
			stroke: #000000;
			stroke-width: 1;
			stroke-linecap: butt;
			stroke-linejoin: miter;
			stroke-opacity: 1;
			stroke-miterlimit: 4;
			stroke-dasharray: 0.26499999,1.05999995;
			stroke-dashoffset: 0;
		}
	}
	input[type="text"] {
		margin: 10px 10px;
		right: 10px;
		border: 1px solid $color;
		@include infoStyle;
	}
}

.probe {
	text-align: left;
	.headInfo{
		display: none;
	}
	#BtnBlack {
		width: 12px;
    height: 12px;
    display: inline-block;
		margin: 2px 10px;
		cursor: pointer;
		&[data-points="false"] svg circle {
			fill: white;
			stroke-width: 1;
			stroke: $color;
		}
	}
	
}

.flex {
	display: flex;	
}


@page {
  size: A4;
	// margin: 0;
	background: $background;
}
@media print {
	body {
		background-color: $background !important;

		margin: 0;
	}
	section.specimen-pages {
		width: 100%;
		margin-left: 0%;
	}
	.menu, header {
		display: none;
	}
	.page {
		// outline: 1px solid red;
		// page-break-before: always;
		// height: 279mm;
		// width: 210mm;
		margin: 0px auto;
		padding-top: 5mm;
		padding-left: 5mm;
		padding-right: 5mm;
		padding-bottom: 20mm;
		.page-inside {
			overflow: hidden;
			// outline: 1px solid green;
			width: calc(100% - #{$margin-interior} - #{$margin-exterior});
			height: calc(100% - #{$margin-top} - #{$margin-bottom});
		}
	}


}


header { display: none}
